import { Component } from '@angular/core';

interface TableRowData {
  category: string;
  detail: string;
}

@Component({
  selector: 'knowledge-risk-category',
  standalone: true,
  imports: [],
  templateUrl: './risk-category.component.html',
  styleUrl: './risk-category.component.less',
})
export class RiskCategoryComponent {
  tableData: TableRowData[] = [
    {
      category: '客运组织1',
      detail: '1.客流疏导、2.车站环境、3.乘客行为',
    },
    {
      category: '行车组织2',
      detail: '1.调度指挥、2.正常行车作业、3.非正常行车作业、4.车场调车作业、5.应急行车处置',
    },
    {
      category: '施工检修3',
      detail: '1.轨行区施工、2.车场施工、3.车站施工、4.工程车开行',
    },
    {
      category: '车辆运维4 ',
      detail:
        '1.车钩/车体/转向架/胶轮、2.受电弓/集电靴/接地靴、3.车门、4.牵引/制动/控制、5.蓄电池/辅助电源、6.空调/广播/视频/照明等、7.特种设备、8.DCC管理、9.工程车辆',
    },
    {
      category: '通号运维5',
      detail:
        '1.列车自动防护系统、2.列车自动运行系统、3.列车自动监控系统、4.联锁设备、5.传输网络系统、6.无线通信/专用电话设备、7.转辙设备、8.轨道占用检查设备、9.电源设备',
    },
    {
      category: '工务运维6',
      detail: '1.桥梁、2.隧道、3.轨道、4.车站主体结构、5.工程车辆',
    },
    {
      category: '供电运维7',
      detail:
        ' 1.中高压设备、2.牵引直流设备、3.低压配电设备、4.电力监控系统、5.直流/应急电源设备、6.电缆、7.杂散电流防护、8.柔性/刚性接触网、9.接触轨/供电轨',
    },
    {
      category: '物资后勤8',
      detail:
        '1.易燃品/危废品仓库、2.道口及场内交通、3.特种设备、4.膳食、5.储运 、6.膳食、7.公共环境及卫生、8.房屋及其附属设施',
    },
  ];
}
