declare namespace UserApi {
  /**
   * 修改当前用户 RequestParams
   */
  interface ModifyUserInfo {
    id: number;
    email?: string; // 邮箱
    name?: string;
    phone?: string;
    password?: string;
    newpassword?: string;
    confirmnewpassword?: string;
  }

  interface UserList {
    items: User[];
    total: number;
  }
  interface User {
    id: string;
    department: string;
    company: string;
    job: string;
    line: string;
    jobGroup: string;
    createDate: string;
    roles: string[];
    status: number;
    empno: string;
    startingDate: string;
    gender: string;
    name: string;
    icon: string;
    email: string; // 邮箱
    phone: string;
    gender: string;
    startingDate: string;
    loginDate: string;
  }

  // interface User {
  //   count: number;
  //   department: number;
  //   id: number;
  //   job: number;
  //   username: string;
  //   email: string; // 邮箱
  //   last_login_time?: string;
  //   name: string;
  //   path: string;
  //   phone: string;
  //   roles: string;
  //   roleName: string;
  //   status: number;
  //   update_time: string;
  //   create_time: string;
  //   delete_time: string;
  //   avatar: string; // 头像
  // }

  interface UserRequestParams extends User {
    roles: number[];
  }

  interface SimpleUser {
    id: number;
    name: string;
    status: number; // 1表示角色启用，-1表示删除
  }

  interface SimpleRole {
    id: number;
    name: string;
    status: number; // 1表示角色启用，0表示禁用
  }
}
