import { Component, Input } from '@angular/core';
import { CommonNzModule } from '../../common.nz.module';

@Component({
  selector: 'data-empty',
  standalone: true,
  imports: [CommonNzModule],
  templateUrl: './data-empty.component.html',
  styleUrl: './data-empty.component.less',
})
export class DataEmptyComponent {
  @Input() isEmpty = false;
  @Input() text = '暂无数据...';
}
